# Uses of Class
com.ngrok.definitions.IpPolicyRule

Packages that use IpPolicyRule
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of IpPolicyRule in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type IpPolicyRule
  Modifier and Type
  Method
  Description
  `List<IpPolicyRule>`
  IpPolicyRuleList.`getIpPolicyRules()`
  the list of all IP policy rules on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type IpPolicyRule
  Modifier
  Constructor
  Description
  ``
  `IpPolicyRuleList(List<IpPolicyRule> ipPolicyRules, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `IpPolicyRuleList`.

- ## Uses of IpPolicyRule in com.ngrok.services

  Methods in com.ngrok.services that return IpPolicyRule
  Modifier and Type
  Method
  Description
  `IpPolicyRule`
  IpPolicyRules.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpPolicyRule`
  IpPolicyRules.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpPolicyRule`
  IpPolicyRules.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type IpPolicyRule
  Modifier and Type
  Method
  Description
  `CompletionStage<IpPolicyRule>`
  IpPolicyRules.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpPolicyRule>`
  IpPolicyRules.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpPolicyRule>`
  IpPolicyRules.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.